#Openbook

[Openbook](http://talligent.com/) reliably solves the customer lifecycle of 
onboarding, self-service, and cloud billing or charge-back with minimal manual 
intervention. Whether you are a service provider billing customers for cloud 
services, or an enterprise needing showback and tenant self-service, Talligent 
delivers a fully-functional, simple to use cloud management solution that has 
been built specifically for OpenStack.

Enterprise adoption of OpenStack is growing quickly, driven by the interest 
in providing on-demand cloud services behind the firewall. Private cloud 
deployments increase the agility of IT departments to respond to infrastructure
requests, increase control of company digital assets, and reduce the need for 
shadow IT services from public cloud providers. In response to this increase 
in market demand, Talligent has added functionality to support private cloud 
use cases such as chargeback, utilization tracking for sprawl control, single 
pane of glass view of hybrid clouds, and capacity reporting to improve resource
and budget planning of cloud growth.

#Overview

##About Talligent Openbook

Talligent delivers a fully-functional, simple to use cloud management solution 
that has been built specifically for OpenStack. The functionality is designed 
to support public or private cloud deployments; billing, chargeback or showback 
reporting; and direct to customer or reseller channels. Users can register new 
accounts, manage users at the project level, view unbilled charges and past 
invoices, and pay their bill all through the Openbook interface. Key features of
the Openbook tenant lifecycle solution include:

For the Enterprise private cloud:

*	On Demand Cloud Infrastructure: Openbook enables enterprises to provide 
    on demand cloud services based on the OpenStack platform. This includes 
    dedicated instances, networks, storage, applications, virtual desktops, and 
    other infrastructure elements or services.

*	Capacity Planning: Without visibility into the growth of cloud services 
    by department, it is impossible to accurately predict how much new capacity 
    to add, and when. Detailed reports of growth trends and seasonal patterns 
    allow you to better plan for new capacity. Forecasts of the cost of cloud 
    projects is coming soon.

*	Single Solution: We do OpenStack well but also know that you have other 
    services to account for. Our RestAPI allows you to push additional 
    infrastructure elements into Openbook for inclusion into the rate plans. A 
    VMware adapter allows you to compare costs across your private hybrid cloud 
    environment. All cost information can be easily shared with legacy 
    accounting systems for detailed budget planning.

*	KPIs: Quickly answer key management questions about your environment – 
    largest tenants, service growth, and accrued costs. Ad hoc reporting allows 
    you to drill down to the relevant details of your cloud environment

*	Showback/Chargeback: Openbook has a robust ratings engine tuned to 
    OpenStack and VMware clouds. Costs can be assigned by tenant, business unit,
    VP, project, or other cost center. Managers are automatically updated on
    their accrued costs as well as performance against budget

*	Sprawl Control: Reduce VM sprawl and help your internal users be better
    stewards of the environment by giving them the visibility and tools to
    control resources assigned to them. Openbook tracks orphaned entities and
    underutilized instances to keep your cloud clean.

For Service Providers:

*	Simple to Deploy: No custom coding and integration is required for
    Openbook to take full advantage of the power and flexibility of OpenStack.
    You can be up and running in just a few minutes without engaging expensive
    developers or OpenStack resources

*	Sell On Demand Cloud Infrastructure: Openbook enables you to sell the
    cloud services you want and customers demand. This includes dedicated
    instances, networks, storage, applications, virtual desktops, and other
    infrastructure elements or services. Services can be packaged by tiers,
    metered and sold by the hour, delivered on-site or as part of a shared
    infrastructure.

*	Customer Self Service: Talligent self-service means that customers can
    log into the portal at any time and view the resources they have
    provisioned, costs accrued to date, past and present invoices, payment
    status and account details. Customers can make quota change requests to
    align resources with billing and project needs. Workflow is automatically
    routed to the admin for processing, eliminating ticketing and speeding
    responses.

*	Reseller Workflow: Cloud service providers can expand their customer
    reach and strengthen their existing relationship via resellers. Openbook
    natively supports reseller workflow with corresponding rate plans that
    support taxation, currency conversion, proration, discounts, and promotional
    codes independent from the master service provider.

*	Customize and Brand: Openbook is a full white label solution. Service
    providers can change the look and feel of the solution to support their
    brand. Resellers likewise can independently customize the look and feel of
    the interface and customer communications.

##Product documentation

Additional documentation can be found online:

* [Openbook QuickStart guide](http://talligent.com/wp-content/uploads/2015/12/Openbook-Installation-Guide-12-2015-v3.pdf)
* API documentation can be found after installation via this URL - /Openbook/resource/apidoc

##Subscription
Talligent offers a 12 month subscription license for those who want to use Openbook for production. Contact us for more
information – Openbook@talligent.com.


#Usage

##General

The Openbook charm requires a database (Mariadb) and an Application server 
(Apache Tomcat) to function properly.  The mysql and tomcat7 charms already 
have the installation and configuration done for you.  

Use the following steps to set up Openbook:

    juju deploy mariadb
    juju deploy tomcat
    juju set tomcat https_enabled=True
    juju deploy openbook
    juju add-relation openbook tomcat *(This step installs Openbook in Tomcat)*
    juju add-relation openbook mariadb  *(This step creates the openbook database)*
    juju expose tomcat

Openbook requires a database connection and will remain undeployed until the 
relation to Mariadb exists.  If it the relation is removed or destroyed Tomcat 
will be shutdown, Openbook will be undeployed and the charm will wait for a new 
datbase connection.  

It is important to wait for Openbook and Tomcat to finish starting before 
accessing the web site.  Use the `juju status` command to see the status of 
the deployments and to copy the IP address and http port of Tomcat.

After the Openbook charm is deployed and related you can go to the Openbook web
page at: https://IP_ADDRESS:8443/Openbook/ Where IP_ADDRESS is the public address
of the tomcat container and can be found by typing `juju status tomcat`.

The initial username and password is openbook/Tall!g3nt.  Please refer to the 
[Openbook installation guide](http://talligent.com/wp-content/uploads/2015/12/Openbook-Installation-Guide-12-2015-v3.pdf) for more details on how to get started 
with Openbook.

##Scale out Usage
For high availability, we recommend a standard two-tier web-app redundant configuration.

##Known Limitations and Issues
This release of Openbook is meant for evaluation purposes only and will violate the license
terms if used in a production environment. There is no limitation in features of the product.


##Contact Information

For more information about Openbook, please drop us a note at openbook@talligent.com or visit our website at:

* [Talligent Website](http://talligent.com/)

